Межсайтовый скриптинг и SQL-инъекция в BlogMe

Дата публикации:
17.11.2006
Всего просмотров:
1014
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-5975
CVE-2006-5976
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
BlogMe 3.x
Уязвимые версии: BlogMe 3.0, возможно более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в полях "Username" и "Password" сценария admin_login.asp. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

2. Уязвимость существует из-за недостаточной обработки входных данных в полях "name", "url" и "comments" в сценарии comments.asp. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.drumster.net/gamma/blogme_details.asp

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA